import { QuickReplyButton } from "./channel";
export interface CardAction {
    title: String;
    text?: String;
    type?: String;
    value?: String;
}
export interface HeroCard {
    title?: String;
    subtitle?: String;
    text?: String;
    images?: any;
    buttons?: CardAction[];
}
export declare class BotFrameworkExtension {
    private _uid;
    constructor(_uid: any);
    normalizeButton(button: any): any;
    text(text: String, quickReplies?: any): {
        attachments: {
            "contentType": string;
            "content": HeroCard;
        }[];
        text?: undefined;
    } | {
        text: String;
        attachments?: undefined;
    };
    buttonTemplate(text: String, buttons: any): {
        attachments: {
            "contentType": string;
            "content": HeroCard;
        }[];
    };
    image(url: string, quickReplies?: QuickReplyButton[]): {
        attachments: {
            contentType: string;
            contentUrl: string;
        }[];
    };
    genericTemplate(items: any): {
        attachmentLayout: string;
        attachments: any;
    };
    genericItem(title: any, subtitle: any, imageUrl: any, defaultActionUrl: any, buttons: any, assetId: any): {
        "contentType": string;
        "content": HeroCard;
    };
    postbackButton(title: String, payload: any): {
        "type": string;
        "title": String;
        "value": string;
    };
    urlButton(title: String, url: String): {
        "type": string;
        "title": String;
        "value": String;
    };
    private attachment;
    private appendQuickReplyTemplate;
}
