import { Channel, QuickReplyButton } from './channel';
export declare class FBExtension extends Channel {
    text(text: string, quickReplies?: QuickReplyButton[]): any;
    image(url: string, quickReplies?: QuickReplyButton[], assetId?: string): {
        "attachment": {
            "type": string;
            "payload": any;
        };
    };
    audio(url: string, quickReplies?: QuickReplyButton[], assetId?: string): {
        "attachment": {
            "type": string;
            "payload": any;
        };
    };
    video(url: string, quickReplies?: QuickReplyButton[], assetId?: string): {
        "attachment": {
            "type": string;
            "payload": any;
        };
    };
    file(url: string, quickReplies?: QuickReplyButton[], assetId?: string): {
        "attachment": {
            "type": string;
            "payload": any;
        };
    };
    genericTemplate(items: any): {
        "attachment": {
            "type": string;
            "payload": {
                "template_type": string;
                "elements": any;
            };
        };
    };
    genericItem(title: any, subtitle: any, imageUrl: any, defaultActionUrl: any, buttons: any, assetId: any): {
        "title": any;
        "subtitle": any;
        "image_url": any;
        "default_action": any;
        "buttons": any;
    };
    compactListTemplate(elements: any): {
        "attachment": {
            "type": string;
            "payload": {
                "template_type": string;
                "top_element_style": string;
                "elements": any;
            };
        };
    };
    listTemplate(topElementStyle: string, elements: any): {
        "attachment": {
            "type": string;
            "payload": {
                "template_type": string;
                "top_element_style": string;
                "elements": any;
            };
        };
    };
    quickReplyButtonTemplate(text: String, buttons: any): {
        text: String;
        quick_replies: any[];
    };
    quickReplyButton(title: String, payload: any): {
        "title": String;
        "payload": any;
    };
    buttonTemplate(text: String, buttons: any): {
        "attachment": {
            "type": string;
            "payload": {
                "template_type": string;
                "text": String;
                "buttons": any;
            };
        };
    };
    postbackButton(title: String, blockName: any): {
        "type": string;
        "title": String;
        "payload": any;
    };
    replyButton(title: String, reply: any): {
        "type": string;
        "title": String;
        "payload": string;
    };
    callButton(title: String, phoneNumber: string): {
        "type": string;
        "title": String;
        "payload": string;
    };
    shareButton(content: any): {
        "type": string;
        "share_contents": any;
    };
    urlButton(title: String, url: String, attributes?: Object): {
        constructor: Function;
        toString(): string;
        toLocaleString(): string;
        valueOf(): Object;
        hasOwnProperty(v: string | number | symbol): boolean;
        isPrototypeOf(v: Object): boolean;
        propertyIsEnumerable(v: string | number | symbol): boolean;
        "type": string;
        "title": String;
        "url": String;
    };
    typing(duration: any): {
        "type": string;
        "duration": any;
    };
    attachment(type: string, url: string, quickReplies?: QuickReplyButton[], assetId?: string): {
        "attachment": {
            "type": string;
            "payload": any;
        };
    };
    private appendQuickReplyTemplate;
}
