"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const channel_1 = require("./channel");
class KikExtension extends channel_1.Channel {
    text(text, quickReplies) {
        const template = {
            type: "text",
            body: text
        };
        this.appendQuickReplyTemplate(template, quickReplies);
        return template;
    }
    image(url, quickReplies) {
        const template = {
            type: "picture",
            payload: {
                picUrl: url
            }
        };
        this.appendQuickReplyTemplate(template, quickReplies);
        return template;
    }
    genericTemplate(templates) {
        return templates.reduce((a, b) => {
            return a.concat(b);
        });
    }
    genericItem(title, subtitle, assetId, imageUrl, actionUrl, buttons) {
        let body = [];
        body.push(this.text(title));
        if (subtitle)
            body.push(this.text(subtitle));
        if (actionUrl)
            body.push(this.url(actionUrl));
        if (imageUrl)
            body.push(this.image(imageUrl, buttons));
        return body;
    }
    url(url) {
        return {
            type: "link",
            url: url
        };
    }
    appendQuickReplyTemplate(template, quickReplies) {
        if (quickReplies) {
            template.keyboards = [];
            for (var button of quickReplies) {
                template.keyboards.push([{
                        type: "suggested",
                        text: button.title
                    }]);
            }
        }
    }
}
exports.KikExtension = KikExtension;
