import { Channel, QuickReplyButton } from "./channel";
export interface KeyBoardButton {
    request_contact?: Boolean;
    request_location?: Boolean;
}
export declare class TGExtension extends Channel {
    text(text: String, quickReplies?: QuickReplyButton[]): any;
    image(url: any, quickReplies?: QuickReplyButton[], assetId?: string): {
        type: string;
        payload: {
            photo: any;
        };
    };
    genericTemplate(templates: any): any;
    genericItem(title: any, subtitle: any, imageUrl: any, actionUrl: any, buttons: any, assetId: any): any[];
    quickReplyButtonTemplate(text: String, buttons: any): {
        type: string;
        payload: {
            text: String;
            reply_markup: {
                keyboard: any[];
                resize_keyboard: boolean;
            };
        };
    };
    quickReplyButton(title: String, payload: any, options: KeyBoardButton): {
        text: String;
        request_contact: any;
        request_location: any;
    };
    postbackButton(title: String, payload: any): {
        text: String;
    };
    buttonTemplate(text: String, quickReplies?: QuickReplyButton[]): any;
    url(url: any): any;
    typing(): any;
    replyButton(title: String, payload: any): {
        text: String;
    };
    private appendKeyboard;
    private appInlineKeyboard;
}
