import { QuickReplyButton, Channel } from './channel';
export declare class WebExtension extends Channel {
    text(text: String, quickReplies?: QuickReplyButton[]): {
        "type": string;
        text: String;
    };
    image(url: string, quickReplies?: QuickReplyButton[]): {
        "type": string;
        "image": string;
    };
    audio(url: string, quickReplies?: QuickReplyButton[]): {
        "type": string;
        "audio": string;
    };
    video(url: string, quickReplies?: QuickReplyButton[]): {
        "type": string;
        "video": string;
    };
    processQuickReplies(template: any, quickReplies?: QuickReplyButton[]): void;
    replyButton(title: String, reply: any, attributes?: Object): {
        constructor: Function;
        toString(): string;
        toLocaleString(): string;
        valueOf(): Object;
        hasOwnProperty(v: string | number | symbol): boolean;
        isPrototypeOf(v: Object): boolean;
        propertyIsEnumerable(v: string | number | symbol): boolean;
        "type": string;
        "title": String;
        "postback": String;
    };
    postbackButton(title: String, blockName: String, attributes?: Object): {
        constructor: Function;
        toString(): string;
        toLocaleString(): string;
        valueOf(): Object;
        hasOwnProperty(v: string | number | symbol): boolean;
        isPrototypeOf(v: Object): boolean;
        propertyIsEnumerable(v: string | number | symbol): boolean;
        "type": string;
        "title": String;
        "postback": String;
    };
    urlButton(title: String, url: String, attributes?: Object): {
        constructor: Function;
        toString(): string;
        toLocaleString(): string;
        valueOf(): Object;
        hasOwnProperty(v: string | number | symbol): boolean;
        isPrototypeOf(v: Object): boolean;
        propertyIsEnumerable(v: string | number | symbol): boolean;
        "type": string;
        "title": String;
        "url": String;
    };
    buttonTemplate(text: String, buttons: any): {
        "type": string;
        "template": {
            "text": String;
            "buttons": any;
        };
    };
    genericTemplate(items: any): {
        "type": string;
        "template": {
            "elements": any;
        };
    };
    typing(duration: any): {
        "type": string;
        "duration": any;
    };
    genericItem(title: any, subtitle: any, imageUrl: any, defaultActionUrl: any, buttons: any, assetId: any): {
        "title": any;
        "subtitle": any;
        "imageUrl": any;
        "defaultAction": any;
        "buttons": any;
    };
    sticker(ids: any): {
        "type": string;
        text: String;
    };
    richMediaTemplate(items: any, attributes?: Object): {
        "type": string;
        text: String;
    };
    buttonGroup(buttons: any): any;
}
