"use strict";
/*jshint esversion: 6 */
Object.defineProperty(exports, "__esModule", { value: true });
class WCExtension {
    text(text) {
        return {
            "type": "text",
            "content": text
        };
    }
    image(url, buttons, assetId) {
        return this.media("image", url, assetId);
    }
    audio(url, buttons, assetId) {
        return this.media("audio", url, assetId);
    }
    video(url, buttons, assetId) {
        return this.media("video", url, assetId);
    }
    media(type, url, assetId) {
        const template = {
            "type": type,
            "media_id": assetId
        };
        if (!assetId) {
            template.url = url;
        }
        return template;
    }
    genericTemplate(templates) {
        return {
            type: "news",
            "news": {
                articles: templates
            }
        };
    }
    genericItem(title, subtitle, imageUrl, actionUrl, buttons, assetId, content, author) {
        const template = {
            "title": title,
            "description": subtitle,
            "url": actionUrl,
            "content": content,
            "author": author
        };
        if (assetId) {
            template.thumb_media_id = assetId;
        }
        else {
            template.picurl = imageUrl;
        }
        return template;
    }
    typing(duration) {
        return {
            "type": "typing",
            "duration": duration
        };
    }
}
exports.WCExtension = WCExtension;
