import { BotFrameworkExtension } from './ext/bot-framework';
import { FBExtension } from './ext/facebook';
import { KikExtension } from './ext/kik';
import { WCExtension } from './ext/wechat';
import { TGExtension } from './ext/telegram';
import { TwilioExtension } from './ext/twilio';
import { SendBirdExtension } from './ext/sendbird';
import { SlackExtension } from './ext/slack';
import { VBExtension } from './ext/viber';
import { WebExtension } from './ext/web';
export declare namespace Viber {
    enum TextSize {
        regular = 0,
        medium = 1,
        large = 2
    }
    enum ActionType {
        reply = 0,
        "open-url" = 1
    }
    enum TextVAlign {
        top = 0,
        middle = 1,
        bottom = 2
    }
    enum TextHAlign {
        left = 0,
        center = 1,
        right = 2
    }
    interface Font {
        bold?: Boolean;
        color?: String;
    }
    class FontImpl {
        private text;
        private _color;
        color: any;
        constructor(text: any);
        toJSONObject(): string;
    }
    interface Style {
        bgColor?: String;
        fgColor?: String;
        bold?: Boolean;
        textSize?: String;
        textVAlign?: TextVAlign;
        align?: String;
        vAlign?: String;
        textOpacity?: Number;
        imageUrl?: String;
        row?: Number;
        column?: Number;
    }
    class ButtonStyle implements Style {
        bgColor?: string;
        bold?: Boolean;
        fgColor?: string;
        textSize?: String;
        textVAlign?: TextVAlign;
        align?: String;
        vAlign?: String;
        textOpacity?: Number;
        imageUrl?: string;
        row?: Number;
        column?: Number;
        rows?: Number;
        columns?: Number;
        toJSONObject(): any;
    }
    class Button {
        private _text;
        private _type;
        private _payload;
        private _url;
        private _slient;
        private style;
        constructor(style: Style);
        readonly row: Number;
        readonly column: Number;
        readonly rows: Number;
        readonly columns: Number;
        type: String;
        text: String;
        payload: String;
        silent: Boolean;
        url: String;
        toJSONObject(): any;
    }
    class GridButton {
        private _button;
        rows: Number;
        columns: Number;
        constructor(button: Button);
        toJSONObject(): any;
    }
}
export default class Ext {
    static readonly "bot-framework": BotFrameworkExtension;
    static readonly facebook: FBExtension;
    static readonly viber: VBExtension;
    static readonly kik: KikExtension;
    static readonly telegram: TGExtension;
    static readonly twilio: TwilioExtension;
    static readonly slack: SlackExtension;
    static readonly sendbird: SendBirdExtension;
    static readonly web: WebExtension;
    static readonly wechat: WCExtension;
    static readonly default: any;
}
